Bug 58490 - modularized httpd.conf via include-directive
Summary: modularized httpd.conf via include-directive
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-17 23:51 UTC by Daniel Resare
Modified: 2007-03-27 03:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 23:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Resare 2002-01-17 23:51:42 UTC
the redhat apache.conf contains lots of stuff for modules that is not installed
by default, which makes it hard to maintain. I think using the apache mechanism
of including all files in a directory for config-files into the main http.conf
would be a good idea. For example a /etc/httpd/conf.d directory could be ceated
and /etc/httpd/conf/httpd.conf could include 'Include /etc/httpd/conf.d'. Then
for example the php package could contain all all its configuration stuff (that
normally goes into the main httpd.conf in for example /etc/httpd/conf.d/php.conf

This would follow a classical redhat pattern used in many places, for example
/etc/profile.d and /etc/logrotate.d

Comment 1 Joe Orton 2002-07-08 15:31:38 UTC
This feature is implemented in the Apache 2.0 packages in the Limbo beta.


Note You need to log in before you can comment on or make changes to this bug.